Bug 162412 - [patch] graphics/libGL not fully make jobs safe
Summary: [patch] graphics/libGL not fully make jobs safe
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-09 19:20 UTC by 4720@hushmail.com
Modified: 2012-09-03 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (529 bytes, patch)
2011-11-09 19:20 UTC, 4720@hushmail.com
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 4720@hushmail.com 2011-11-09 19:20:08 UTC
graphics/libGL sometimes fail to build when using 20 make jobs. occasionally
matypes.h is not finished generating before things that need matypes.h to
compile are sent to the compiler.

x86/common_x86_asm.S:42:21: error: matypes.h: No such file or directory
gmake[2]: *** [x86/common_x86_asm.o] Error 1
gmake[2]: *** Waiting for unfinished jobs....
x86/x86_xform2.S:33:21: error: matypes.h: No such file or directory
x86/x86_cliptest.S:33:21: error: matypes.h: No such file or directory
gmake[2]: *** [x86/x86_cliptest.o] Error 1
gmake[2]: *** [x86/x86_xform2.o] Error 1
x86/sse_normal.S:35:21: error: matypes.h: No such file or directory
gmake[2]: *** [x86/sse_normal.o] Error 1
./gen_matypes > matypes.h
gmake[3]: Leaving directory `/work/a/ports/graphics/libGL/work/Mesa-7.6.1/src/mesa/x86'

Fix: attached patch marks port as make jobs unsafe.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-11-09 19:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2011-11-10 06:45:29 UTC
State Changed
From-To: open->closed

fixed in the xorg repo
Comment 3 Chris Rees 2012-09-03 19:33:32 UTC
Hm, that doesn't help people with the current ports tree, does it?

The submitter tells me it's still an issue.

Chris
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2012-09-03 19:57:12 UTC
State Changed
From-To: closed->patched

correct state
Comment 5 dfilter service freebsd_committer 2012-09-03 20:04:41 UTC
Author: eadler
Date: Mon Sep  3 19:04:31 2012
New Revision: 303610
URL: http://svn.freebsd.org/changeset/ports/303610

Log:
  After a report of an error, mark graphics/libGL as not MAKE_JOBS_SAFE
  
  PR:		ports/162412
  Submitted by:	4720@hushmail.com
  Reviewed by:	zeising

Modified:
  head/graphics/libGL/bsd.mesalib.mk

Modified: head/graphics/libGL/bsd.mesalib.mk
==============================================================================
--- head/graphics/libGL/bsd.mesalib.mk	Mon Sep  3 19:01:55 2012	(r303609)
+++ head/graphics/libGL/bsd.mesalib.mk	Mon Sep  3 19:04:31 2012	(r303610)
@@ -44,7 +44,7 @@ USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
-MAKE_JOBS_SAFE=	yes
+MAKE_JOBS_UNSAFE=	yes
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2012-09-03 20:05:54 UTC
State Changed
From-To: patched->closed

Committed. Thanks!